__class__:
    module: tmt.recipe
    name: Recipe
plans:
  - __class__:
        module: tmt.recipe
        name: _RecipePlan
    adjust: []
    author: []
    cleanup:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.cleanup.internal
                name: CleanupInternalData
            how: tmt
            name: default-0
            order: 50
            summary:
            when: []
    contact: []
    context: {}
    description:
    discover:
        __class__:
            module: tmt.recipe
            name: _RecipeDiscoverStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.discover.fmf
                name: DiscoverFmfStepData
            adjust-tests: []
            dist-git-download-only: false
            dist-git-extract:
            dist-git-init: false
            dist-git-install-builddeps: false
            dist-git-merge: false
            dist-git-remove-fmf-root: false
            dist-git-require: []
            dist-git-source: false
            dist-git-type:
            exclude: []
            filter: []
            fmf-id: false
            how: fmf
            include: []
            link: []
            modified-only: false
            modified-ref:
            modified-url:
            name: default-0
            order: 50
            path:
            prune: false
            ref:
            repository:
            require-test: []
            revision:
            summary:
            sync-repo: false
            test: []
            upgrade-path:
            url:
            url-content-type: git
            when: []
            where: &id001 []
        tests:
          - __class__:
                module: tmt.recipe
                name: _RecipeTest
            adjust:
              - environment+:
                    RELEASE_TESTING: true
                when: initiator != "packit"
            author: []
            check: []
            component: []
            contact: []
            description:
            discover-phase: default-0
            duration: 60m
            enabled: true
            environment:
                BUILDAH_BINARY: /usr/bin/buildah
                COPY_BINARY: /usr/bin/buildah-copy
                CRASH_BINARY: /usr/bin/buildah-crash
                DUMPSPEC_BINARY: /usr/bin/buildah-dumpspec
                GRPCNOOP_BINARY: /usr/bin/buildah-grpcnoop
                IMGTYPE_BINARY: /usr/bin/buildah-imgtype
                INET_BINARY: /usr/bin/buildah-inet
                PASSWD_BINARY: /usr/bin/buildah-passwd
                RELEASE_TESTING: 'True'
                TMPDIR: /var/tmp
                TUTORIAL_BINARY: /usr/bin/buildah-tutorial
                WAIT_BINARY: /usr/bin/buildah-wait
            framework: shell
            id:
            link: []
            manual: false
            name: /tests/tmt/system/local/root
            order: 50
            path: /default-0/tests/tests/tmt
            recommend: []
            require:
              - buildah-tests
              - git-daemon
              - slirp4netns
            restart-max-count: 1
            restart-on-exit-code: []
            restart-with-reboot: false
            result: respect
            serial-number: 1
            summary: System test
            tag: []
            test: bash ./system.sh
            tier:
            tty: false
            where: *id001
    enabled: true
    environment-from-cli:
        PACKIT_BUILD_LOG_URL: 
            https://download.copr.fedorainfracloud.org/results/packit/containers-buildah-6776/fedora-42-x86_64/10302053-buildah/builder-live.log
        PACKIT_COMMIT_SHA: a9d8cb64e04ab0d7c7ba7a55110b7098d3d9e577
        PACKIT_COPR_BUILD_ID: '10302053'
        PACKIT_COPR_PROJECT: packit/containers-buildah-6776
        PACKIT_COPR_RPMS: 
            buildah-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
            buildah-debuginfo-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
            buildah-tests-debuginfo-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
            buildah-debugsource-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
            buildah-tests-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
        PACKIT_DOWNSTREAM_NAME: buildah
        PACKIT_DOWNSTREAM_URL: https://src.fedoraproject.org/rpms/buildah.git
        PACKIT_FULL_REPO_NAME: containers/buildah
        PACKIT_PACKAGE_NAME: buildah
        PACKIT_PACKAGE_NVR: 
            buildah-1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42
        PACKIT_PR_ID: '6776'
        PACKIT_SOURCE_BRANCH: renovate/golang.org-x-sys-0.x
        PACKIT_SOURCE_SHA: a9d8cb64e04ab0d7c7ba7a55110b7098d3d9e577
        PACKIT_SOURCE_URL: https://github.com/containers/buildah
        PACKIT_SRPM_URL: 
            https://download.copr.fedorainfracloud.org/results/packit/containers-buildah-6776/srpm-builds/10302053/buildah-1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.src.rpm
        PACKIT_TARGET_BRANCH: main
        PACKIT_TARGET_SHA: 135b7f6e74f6b1444918ebc16cf3735b1f062ab8
        PACKIT_TARGET_URL: https://github.com/containers/buildah
        PACKIT_UPSTREAM_NAME: buildah
        TESTING_FARM_GIT_REF: a9d8cb64e04ab0d7c7ba7a55110b7098d3d9e577
        TESTING_FARM_GIT_URL: https://github.com/containers/buildah
        TESTING_FARM_REQUEST_ID: 16dd66c8-1f70-4263-ba6b-c7a71805b2ad
        TESTING_FARM_TEST_TYPE: fmf
    environment-from-fmf: {}
    environment-from-importing: {}
    environment-from-intrinsics:
        TMT_PLAN_DATA: /var/ARTIFACTS/work-plansvjdcnyfl/plans/data
        TMT_PLAN_ENVIRONMENT_FILE: 
            /var/ARTIFACTS/work-plansvjdcnyfl/plans/data/variables.env
        TMT_PLAN_SOURCE_SCRIPT: 
            /var/ARTIFACTS/work-plansvjdcnyfl/plans/data/plan-source-script.sh
        TMT_TREE: /var/ARTIFACTS/work-plansvjdcnyfl/plans/tree
        TMT_VERSION: 1.70.0
    execute:
        __class__:
            module: tmt.recipe
            name: _RecipeExecuteStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.execute.internal
                name: ExecuteInternalData
            duration: 1h
            exit-first: false
            how: tmt
            ignore-duration: false
            interactive: false
            name: default-0
            no-progress-bar: false
            order: 50
            restraint-compatible: false
            script: []
            summary:
            when: []
            where: []
        results-path: plans/execute/results.yaml
    finish:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.prepare.shell
                name: PrepareShellData
            how: shell
            name: default-0
            order: 50
            ref:
            script: []
            summary:
            url:
            when: []
            where: []
    id:
    link: []
    name: /plans
    order: 50
    prepare:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.prepare.shell
                name: PrepareShellData
            how: shell
            name: default-0
            order: 10
            ref:
            script:
              - "dnf -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-$(rpm
                --eval '%{?rhel}').noarch.rpm\ndnf -y config-manager --set-enabled
                epel\n"
            summary:
            url:
            when:
              - distro == centos-stream or distro == rhel
            where: []
          - __class__:
                module: tmt.steps.prepare.shell
                name: PrepareShellData
            how: shell
            name: default-1
            order: 20
            ref:
            script:
              - "COPR_REPO_FILE=\"/etc/yum.repos.d/*podman-next*.repo\"\nif compgen
                -G $COPR_REPO_FILE > /dev/null; then\n    sed -i -n '/^priority=/!p;$apriority=1'
                $COPR_REPO_FILE\nfi\ndnf -y upgrade --allowerasing\n"
            summary:
            url:
            when:
              - initiator == packit
            where: []
    provision:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - -OPTIONLESS-FIELDS:
              - primary_address
              - topology_address
              - facts
            __class__:
                module: tmt.steps.provision.connect
                name: ProvisionConnectData
            ansible:
                __class__:
                    module: tmt.ansible
                    name: GuestAnsible
                group:
                vars: {}
            become: false
            environment: {}
            facts:
                __class__:
                    module: tmt.guest
                    name: GuestFacts
                arch:
                bootc-builder:
                can-sudo:
                capabilities: {}
                distro:
                has-rsync:
                has-selinux:
                has-systemd:
                in-sync: false
                is-container:
                is-image-mode:
                is-ostree:
                is-superuser:
                is-toolbox:
                kernel-release:
                lsb-release-content: {}
                os-release-content: {}
                package-manager:
                sudo-prefix:
                systemd-soft-reboot:
                toolbox-container-name:
            guest: 3.144.182.101
            hard-reboot: /opt/artemis-cli/bin/artemis-cli guest reboot 
                94b4ab29-1e27-4772-a54d-9db21c14e2c2
            hardware:
                cpu:
                    cores: '>= 4'
                    threads: '>=8'
                disk:
                  - size: '>= 512 GB'
                memory: '>= 16 GB'
            how: connect
            key:
              - /etc/citool.d/id_rsa_artemis
            name: default-0
            order: 50
            password:
            port: 22
            primary-address:
            role:
            soft-reboot:
            ssh-option: []
            summary:
            systemd-soft-reboot:
            topology-address:
            user: root
            when: []
    report:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.report.display
                name: ReportDisplayData
            display-guest: auto
            how: display
            name: default-0
            order: 50
            summary:
            when: []
    summary:
    tag: []
    tier:
run:
    __class__:
        module: tmt.recipe
        name: _RecipeRun
    context:
        arch:
          - x86_64
        distro:
          - fedora-42
        initiator:
          - packit
        trigger:
          - commit
    environment:
        PACKIT_BUILD_LOG_URL: 
            https://download.copr.fedorainfracloud.org/results/packit/containers-buildah-6776/fedora-42-x86_64/10302053-buildah/builder-live.log
        PACKIT_COMMIT_SHA: a9d8cb64e04ab0d7c7ba7a55110b7098d3d9e577
        PACKIT_COPR_BUILD_ID: '10302053'
        PACKIT_COPR_PROJECT: packit/containers-buildah-6776
        PACKIT_COPR_RPMS: 
            buildah-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
            buildah-debuginfo-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
            buildah-tests-debuginfo-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
            buildah-debugsource-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
            buildah-tests-102:1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42.x86_64
        PACKIT_DOWNSTREAM_NAME: buildah
        PACKIT_DOWNSTREAM_URL: https://src.fedoraproject.org/rpms/buildah.git
        PACKIT_FULL_REPO_NAME: containers/buildah
        PACKIT_PACKAGE_NAME: buildah
        PACKIT_PACKAGE_NVR: 
            buildah-1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.fc42
        PACKIT_PR_ID: '6776'
        PACKIT_SOURCE_BRANCH: renovate/golang.org-x-sys-0.x
        PACKIT_SOURCE_SHA: a9d8cb64e04ab0d7c7ba7a55110b7098d3d9e577
        PACKIT_SOURCE_URL: https://github.com/containers/buildah
        PACKIT_SRPM_URL: 
            https://download.copr.fedorainfracloud.org/results/packit/containers-buildah-6776/srpm-builds/10302053/buildah-1.42.0-1.20260408150740081159.pr6776.286.ga9d8cb64e.src.rpm
        PACKIT_TARGET_BRANCH: main
        PACKIT_TARGET_SHA: 135b7f6e74f6b1444918ebc16cf3735b1f062ab8
        PACKIT_TARGET_URL: https://github.com/containers/buildah
        PACKIT_UPSTREAM_NAME: buildah
        TESTING_FARM_GIT_REF: a9d8cb64e04ab0d7c7ba7a55110b7098d3d9e577
        TESTING_FARM_GIT_URL: https://github.com/containers/buildah
        TESTING_FARM_REQUEST_ID: 16dd66c8-1f70-4263-ba6b-c7a71805b2ad
        TESTING_FARM_TEST_TYPE: fmf
    remove: false
    root: /var/ARTIFACTS/git-135b7f6e74f6b1444918ebc16cf3735b1f062ab8lqh2y95a
